indexing

	description:

		"A destination of objects. Its obligation is to accept whatever %
		%it is given."

	library: "Gobo Eiffel Pipework Library"
	copyright: "Copyright (c) 2001, Simon Parker and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: $"
	revision: "$Revision: $"

deferred class

	PW_WRITER [INWARD]

inherit

	KI_OUTPUT_STREAM [INWARD]

	PW_LAST_RESULT

feature -- Status

	is_open_write: BOOLEAN is
			-- Can items be written to output stream?
		do
			Result := is_ok
		end

feature -- Writing

	flush is
			-- Empty any buffered items.
		require
			is_open_write: is_open_write
			no_errors: is_ok
		do
			-- nothing
		end

feature -- Access

	name: STRING is
			-- Name of input stream
		do
			-- not applicable.
			Result := ""
		end

end
