indexing

	description:

		"Test features of class PW_MD5_OUTPUT_STREAM"

	library: "Gobo Eiffel Pipeword Library"
	copyright: "Copyright (c) 2003, Berend de Boer and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: $"
	revision: "$Revision: $"

deferred class

	PW_TEST_MD5_STREAM


inherit

	TS_TEST_CASE


feature -- Test

	test_md5_test_suite is
			-- Test features of DT_DATE.
		local
			writer: PW_MD5_OUTPUT_STREAM
			string: PW_STRING_TO_INTEGER_8
		do
			create string
			create writer.make
			string.connect (writer)
			string.put ("")
			string.flush
			assert_equal ("Checksum ok", "d41d8cd98f00b204e9800998ecf8427e", writer.checksum)
			string.put ("a")
			string.flush
			assert_equal ("Checksum ok", "0cc175b9c0f1b6a831c399e269772661", writer.checksum)
			string.put ("abc")
			string.flush
			assert_equal ("Checksum ok", "900150983cd24fb0d6963f7d28e17f72", writer.checksum)
			string.put ("message digest")
			string.flush
			assert_equal ("Checksum ok", "f96b697d7cb7938d525a2f31aaf161d0", writer.checksum)
			string.put ("abcdefghijklmnopqrstuvwxyz")
			string.flush
			assert_equal ("Checksum ok", "c3fcd3d76192e4007dfb496cca67e13b", writer.checksum)
			string.put ("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789")
			string.flush
			assert_equal ("Checksum ok", "d174ab98d277d9f5a5611c2c9f419d9f", writer.checksum)
			string.put ("12345678901234567890123456789012345678901234567890123456789012345678901234567890")
			string.flush
			assert_equal ("Checksum ok", "57edf4a22be3c955ac49da2e2107b67a", writer.checksum)
		end

end
